using System;
using System.IO;
using System.Text;

namespace ModelFileManager
{
	public partial class ViewWindow : Gtk.Window
	{		
		public ViewWindow (string ModelFile) : 
				base(Gtk.WindowType.Toplevel)
		{
			this.Build ();
			this.Title = ModelFile;

			// Load in the text of the specified model file
			if (File.Exists (ModelFile)) 
			{
				StringBuilder sb = new StringBuilder ();
				using (StreamReader sr = new StreamReader(ModelFile)) 
				{
					while (sr.Peek() > 0) 
					{
						string readLine = sr.ReadLine ();
						sb.AppendLine (readLine);
					}
				}
				ModelTextView.Buffer.Text = sb.ToString ();
			}
		}

		// ----------------------------------------------------------------------------------------------------------------------

		protected void btnClose_Clicked (object sender, EventArgs e)
		{
			this.Destroy ();
		}
	}
}

