﻿using System;
using System.IO;

namespace cleanm
{
	class MainClass
	{
		public static void Main (string[] args)
		{
			try
			{				
				if (args.Length != 2) 
				{
					Console.WriteLine ("Usage: cleanm.exe <srcfile> <outfile>");
				} 
				else 
				{
					string srcFile = args[0];
					string dstFile = args[1];

					if (File.Exists (srcFile)) 
					{
						// delete the destination just in case
						if (File.Exists (dstFile))
							File.Delete (dstFile);

						using (StreamReader sr = new StreamReader (srcFile)) 
						{
							using (StreamWriter sw = new StreamWriter (dstFile)) 
							{
								while (sr.Peek () > 0) 
								{
									string nextLine = sr.ReadLine ();
									sw.Write (nextLine + "\n");
								}
							}
						}
					} 
					else {
						Console.WriteLine ("Source File: " + srcFile + " not found.");
					}
				}
				//Console.Read ();
			}
			catch (Exception ex) 
			{
				Console.WriteLine (ex.Message + ex.StackTrace);
			}
		}
	}
}
